/* ************************ */
/* FITXER sfReachPosition.h	*/
/* ************************ */

// --------------------
// Inclusi de funcions
// --------------------

#include "sfUtils.h"

// ---------------------
// Definici de funcions
// ---------------------

void sfrStop(void);
void sfrStart(void);

void sfrInactive(void);

void sfrSetPosition(float x, float y, float angle);
void sfrSetGlobalPosition(float x, float y, float angle);
void sfrSetVelocity(float v);

float sfrGetXPosition(void);
float sfrGetYPosition(void);
float sfrGetAnglePosition(void);

float sfrGetXGlobalPosition(void);
float sfrGetYGlobalPosition(void);
float sfrGetGlobalAnglePosition(void);

float sfrGetVelocity(void);

int sfrIsPositionReach(void);
int sfrIsPointReach(void);
float sfrGetDistancePosition(void);

// ------------------------------
// Definici de variables globals
// ------------------------------

LlistaPunts punts;

// goal = punts[0]			=> punt dest
// orientacio = punts[1]	=> punt que marca la orientaci

float velocitat;

int en_funcionament = 0;
int inactive = 1;

#define PI 3.1416
#define L_VECTOR 500

// ---------------------------------------
// Definici de parmetres de funcionament
// ---------------------------------------

// Declaraci dels parmetres

int p_priority = 1;
float p_dist_tol = 50.0;
float p_angle_tol = 6.0;

// Funcions d'accs

int sfrGetPriority(void);
float sfrGetDistTol(void);
float sfrGetAngleTol(void);

void sfrSetPriority(int priority);
void sfrSetDistTol(float tol);
void sfrSetAngleTol(float tol);

